# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, inputs, lib, outputs, pkgs, modulesPath, ... }:

{
  imports =
    [ #(modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot = {
    extraModulePackages = [ ];
    initrd.availableKernelModules = [ "nvme" "xhci_pci" "usb_storage" "sd_mod" ];
    initrd.kernelModules = [ ];
    kernelModules = [ "kvm-amd" "ntsync" ];
    #zfs.extraPools = [ "data" ];
  };

  environment.sessionVariables = {
    #LIBVA_DRIVER_NAME = "nvidia";
    MOZ_DISABLE_RDD_SANDBOX = "1";
  };

  fileSystems = {
    "/media" = {
      device = "/dev/sda1";
      fsType = "auto";
      options = [
        "user,noauto"
      ];
    };

    "/mnt/downloads" = {
      device = "192.168.1.2:/srv/caladan/downloads";
      fsType = "nfs";
      options = [
        "nfsvers=4.2"
      ];
    };

    "/mnt/www" = {
      device = "192.168.1.2:/srv/caladan/www";
      fsType = "nfs";
      options = [
        "nfsvers=4.2"
      ];
    };
  };


  hardware = {
    amdgpu.overdrive.enable = true;

    bluetooth.enable = true;

    graphics = {
      enable = true;
      enable32Bit = true;
      #extraPackages = [ pkgs.nvidia-vaapi-driver ];
      #extraPackages32 = [ pkgs.pkgsi686Linux.nvidia-vaapi-driver ];
      #package = pkgs.master.mesa;
      #package32 = pkgs.master.driversi686Linux.mesa;
    };
  };
}
